3
4月
0

vine6のphp5.4.13のRPMを作成


先月php5.3のサポートが終了したとのことで、自宅サーバのphpを5.4系にアップグレードしました。

RPMパッケージを作成したのですが、5.4になって色々変わったところがあってビルドに結構苦労しました。

configureオプションで無くなったもの

PHP5.4で削除されたオプション

--enable-safe-mode --with-exec-dir[=DIR] --enable-magic-quotes --enable-zend-multibyte


SQLiteモジュールがPECL経由に変わる

PHP 5.4 以降では、SQLite 拡張モジュールは PECL 経由でのみ利用可能となります。


Zend Multibyte関係

ダウンロードはVine6.xで作ったRPM/SRC.RPM集からどうぞ

Enjoyed reading this post?
Subscribe to the RSS feed and have all new posts delivered straight to you.
Post your comment



now loading...